Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.mapper
Class Mapper.MapElement

    java.lang.Object
      org.apache.tomcat.util.http.mapper.Mapper.MapElement

Direct Known Subclasses:
  Mapper.Context, Mapper.Host, Mapper.Wrapper

Enclosing class:
  Mapper

protected abstract static class Mapper.MapElement
extends java.lang.Object

Field Summary
`java.lang.String` | `name`
`java.lang.Object` | `object`

Constructor Summary
`protected` | `Mapper.MapElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### object

    public java.lang.Object object

Constructor Detail

### Mapper.MapElement

    protected Mapper.MapElement()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.